cascading.pipe

## Interface Group

All Superinterfaces:
  FlowElement, java.io.Serializable

All Known Implementing Classes:
  CoGroup, GroupBy

    public interface Group
    extends FlowElement

### Method Summary

Methods
`java.util.Map<java.lang.String,Fields>` `getKeySelectors()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,Fields>` `getSortingSelectors()`
`boolean` `isCoGroup()`
`boolean` `isGroupBy()`
`boolean` `isSorted()`
`boolean` `isSortReversed()`

### Method Detail

#### getName

    java.lang.String getName()

#### isGroupBy

    boolean isGroupBy()

#### isCoGroup

    boolean isCoGroup()

#### isSortReversed

    boolean isSortReversed()

#### isSorted

    boolean isSorted()

#### getKeySelectors

    java.util.Map<java.lang.String,Fields> getKeySelectors()

#### getSortingSelectors

    java.util.Map<java.lang.String,Fields> getSortingSelectors()